.\"	$NetBSD: dmz.4,v 1.10 2003/02/04 22:38:17 perry Exp $
.\"
.\" Copyright (c) 1983, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)dmz.4	8.1 (Berkeley) 6/5/93
.\"
.Dd June 5, 1993
.Dt DMZ 4 vax
.Os
.Sh NAME
.Nm dmz
.Nd
.Tn DMZ-32
serial terminal multiplexor
.Sh SYNOPSIS
.Cd "dmz0 at uba? csr 0160540" "vector dmzrinta dmzxinta dmzrintb dmzxintb dmzrintc dmzxintc"
.Sh DESCRIPTION
NOTE: This driver has not been ported from
.Bx 4.4
yet.
.Pp
The
.Nm dmz
device provides 24 lines of asynchronous serial line support.
Modem control on all ports is available
as an option for the H3014 distribution panel.
.Pp
An optional argument
.Ar flags
may be supplied with the device specification for
.Nm dmz
in the config file indicating
that the line corresponding to
bit number
.Ar i
is not properly
connected, and should be treated as hard-wired with carrier
always present.  Thus specifying
.Ql flags 0x000004
for
.Li dmz0
would cause line
.Pa ttya2
to be treated in this way.
.Pp
Normal
.Tn I/O
control parameters for individual lines are managed by
.Xr ioctl 2
calls.
Line speeds (there are 16 choices for the
.Tn DMZ )
may be initiated via
.Xr getty 8
and
.Xr stty 1
or may be communicated by other programs which
use
.Xr ioctl 2
such as
.Xr ifconfig 8 ,
see
.Xr tty 4  .
.Pp
The
.Nm dmz
driver normally enables the input silos with a short timeout
(30 milliseconds); this allows multiple characters to be received
per interrupt during periods of high-speed input.
.Sh FILES
.Bl -tag -width /dev/tty[abcefg][0-9a-n] -compact
.It Pa /dev/tty[abcefg][0-9a-n]
.El
.Sh DIAGNOSTICS
.Bl -diag
.It dmz%d: NXM line %d.
No response from the
.Tn UNIBUS
on a
.Tn DMA
transfer
within a timeout period.  This is often followed by a
.Tn UNIBUS
adapter
error.  This occurs most frequently when the
.Tn UNIBUS
is heavily loaded
and when devices which hog the bus (such as
.Tn RK07 Ns s )
are present.
It is not serious.
.Pp
.It dmz%d: silo overflow.
The character input silo overflowed
before it could be serviced.  This can happen if a hard error occurs
when the
.Tn CPU
is running with elevated priority, as the system will
then print a message on the console with interrupts disabled.
It is not serious.
.El
.Sh SEE ALSO
.Xr tty 4
.Sh HISTORY
The
.Nm
driver appeared in
.Bx 4.3 .
.Sh BUGS
It should be possible to set the silo timeout with a configuration file option,
as the value is a trade-off between efficiency and response time for flow
control and character echo.
